#*************************************************************************************************************************************************************************
#$SHASUB: f3ce1a8ef3eacc4cd9d913692085d7522237dcf27c4b50bc22c0d46b7382a919a582227977168f20b1b528bb60d131a55dc0cba62475a5a4bad8d85da6a58097 $
#*************************************************************************************************************************************************************************
#Purpose: 
#    To embed a pseudo [partial] shasum in a target {filename} termed {SHASUB} - i.e. SHAsumSUBset!
#	{SHASUB} excludes SVN keyword sustitutions and {SHASUB} content, as follows:...
#		1) instantiate {SHASUB} per:...
#>>> shasubgen {filename} [ pass-phrase ]
#
#		2) embed instantiated {SHASUB} from previous step into target {filename}
#		3) commit target {filename} to svn repository
#		4) validate target {filename} against {SHASUB} per:...
#>>> shasubchk {filename} [ pass-phrase ]
#		
#		5) recalculate full sha512sum hash value of target {filename} per:
#>>> sha512sum {filename} > {filename}.sha512sum
#
#		6) commit {filename}.sha512sum to svn repository
#		7) [optional] validate target {filename}'s {SHASUB} per step 4 above - should validate successfully even though svn commit modified content of {filename} 
#
#*************************************************************************************************************************************************************************
#$BENIGN: yyyymmddHHMMSS $
#*************************************************************************************************************************************************************************

#** SVN: keyword substitution(s) - DO NOT CHANGE
#**  $Date: 2022-06-08 12:04:41 -0400 (Wed, 08 Jun 2022) $
#**  $Revision: 148 $
#**  $Author: attila $
#**  $HeadURL: svn://localhost/trunk/common/shasub/shasub.mak $
#**  $Id: shasub.mak 148 2022-06-08 16:04:41Z attila $
#**  $Header: svn://localhost/trunk/common/shasub/shasub.mak 148 2022-06-08 16:04:41Z attila $

common = $(HOME)/CDES/trunk/common/

targets = \
	shasubgen \
	shasubchk

.PHONY : all
all: $(targets)

shasubgen: \
	$(common)/shasub/shasub.mak \
	$(common)/shasub/shasubhead.sh \
	$(common)/shasub/shasubbody \
	$(common)/shasub/shasubtail.sh \
	$(common)/shasub/shasubgen.sh 
	
	@cat \
		$(common)/shasub/shasubhead.sh \
		$(common)/shasub/shasubbody \
		$(common)/shasub/shasubtail.sh \
		$(common)/shasub/shasubgen.sh \
			> shasubgen
	@chmod 777 shasubgen

shasubchk: \
	$(common)/shasub/shasub.mak \
	$(common)/shasub/shasubhead.sh \
	$(common)/shasub/shasubbody \
	$(common)/shasub/shasubtail.sh \
	$(common)/shasub/shasubchk.sh 
	
	@cat \
		$(common)/shasub/shasubhead.sh \
		$(common)/shasub/shasubbody \
		$(common)/shasub/shasubtail.sh \
		$(common)/shasub/shasubchk.sh \
			> shasubchk
	@chmod 777 shasubchk

.PHONY : clean

clean:
	@rm $(targets)

