if [ -z $1 ]
then
echo $'
USE CASE:...

> shasubgen {filename} [ pass-phrase ]
'
exit -1
fi

if [[ ! -f "$1" ]]; then
    echo "'$1' non existent."
	exit -1
fi

# NB: extract 'embedded' shasub value per sed's regex spec...
embedded=$(cat $1 | sed -nE 's/.*\$SHASUB: ([0-9a-zA-Z]{128}) \$.*/\1/p')
echo $embedded

if [[ -z $2 ]]
then
	echo "WARN: passphrase prefix not specified..."
	tmpfile=$(mktemp) && bash -c "cat $1"             | shasubsed > $tmpfile && echo " $embedded $tmpfile" | sha512sum -c
else
	tmpfile=$(mktemp) && bash -c "echo '$2' ; cat $1" | shasubsed > $tmpfile && echo " $embedded $tmpfile" | sha512sum -c
fi

